Just Published! Threat Report: Exposing Malware in Linux-Based Multi-Cloud Environments | Download Now

CB Protection: Can an agent run with a version that is higher than the CB Protection Server?

CB Protection: Can an agent run with a version that is higher than the CB Protection Server?

Environment

  • CB Protection Agent: All Supported Versions
  • CB Protection Server: All Supported Versions

Question

Can an agent run with a version that is higher than the CB Protection Server?

Answer

Yes - any additional data fields in a newer agent will simply be ignored (e.g. Yara rule status in an 8.x agent on a 7.x server)

Additional Notes

As a note of caution, whilst a higher version of the agent may be used, it is advisable to maintain parity with the CB Protection Server version or below, as running a Higher agent version may introduce some unintended issues

Labels (1)
Tags (2)
Was this article helpful? Yes No
No ratings
Article Information
Author:
Creation Date:
‎09-09-2020
Views:
141
Contributors